#include <bits/stdc++.h>
using namespace std;
ifstream f1("SLU.INP");
ofstream f2("SLU.OUT");
int main()
{
    int n,i,tong=0;
    f1>>n;
    for(i=1;i<=n;i++)
    {
        if(n%i==0)
        {
            tong=tong+i;
        }
    }
    f2<<tong;
    f1.close();
    f2.close();
    return 0;
}
